import { SimpleTreeViewProps } from '@mui/x-tree-view/SimpleTreeView';
import { RichTreeViewProps } from '@mui/x-tree-view/RichTreeView';
import { TreeViewBaseItem } from '@mui/x-tree-view/models';
import { TreeItem2Props } from '@mui/x-tree-view/TreeItem2';

type TreeViewProps = SimpleTreeViewProps<true>;
declare const TreeView: ({ children, ...rest }: TreeViewProps) => JSX.Element;

type DynamicTreeViewProps = RichTreeViewProps<TreeViewBaseItem, true>;
declare const DynamicTreeView: ({ children, slots, ...rest }: DynamicTreeViewProps) => JSX.Element;

interface TreeItemProps extends TreeItem2Props {
    truncate?: boolean;
}
declare const TreeItem: ({ children, slots, slotProps, truncate, ...rest }: TreeItemProps) => JSX.Element;

export { DynamicTreeView, type DynamicTreeViewProps, TreeItem, type TreeItemProps, TreeView, type TreeViewProps };
